diff -ur procps-3.2.8.orig/Makefile procps-3.2.8/Makefile
--- procps-3.2.8.orig/Makefile	2009-05-11 03:50:48.000000000 +0900
+++ procps-3.2.8/Makefile	2011-11-05 01:19:10.979511360 +0900
@@ -174,7 +174,7 @@
 # want this rule first, use := on ALL, and ALL not filled in yet
 all: do_all
 
--include */module.mk
+-include proc/module.mk ps/module.mk
 
 do_all:    $(ALL)
 
diff -ur procps-3.2.8.orig/proc/sysinfo.c procps-3.2.8/proc/sysinfo.c
--- procps-3.2.8.orig/proc/sysinfo.c	2008-03-24 13:33:43.000000000 +0900
+++ procps-3.2.8/proc/sysinfo.c	2011-11-05 01:19:10.979511360 +0900
@@ -222,6 +222,7 @@
   smp_num_cpus = sysconf(_SC_NPROCESSORS_ONLN);
   if(smp_num_cpus<1) smp_num_cpus=1; /* SPARC glibc is buggy */
 
+  init_Linux_version();
   if(linux_version_code > LINUX_VERSION(2, 4, 0)){ 
     Hertz = find_elf_note(AT_CLKTCK);
     if(Hertz!=NOTE_NOT_FOUND) return;
diff -ur procps-3.2.8.orig/proc/version.c procps-3.2.8/proc/version.c
--- procps-3.2.8.orig/proc/version.c	2003-01-29 10:11:43.000000000 +0900
+++ procps-3.2.8/proc/version.c	2011-11-05 01:19:10.989511385 +0900
@@ -33,8 +33,7 @@
 
 int linux_version_code;
 
-static void init_Linux_version(void) __attribute__((constructor));
-static void init_Linux_version(void) {
+void init_Linux_version(void) {
     static struct utsname uts;
     int x = 0, y = 0, z = 0;	/* cleared in case sscanf() < 3 */
     
diff -ur procps-3.2.8.orig/proc/version.h procps-3.2.8/proc/version.h
--- procps-3.2.8.orig/proc/version.h	2002-12-15 09:08:32.000000000 +0900
+++ procps-3.2.8/proc/version.h	2011-11-05 01:27:24.660235429 +0900
@@ -17,6 +17,7 @@
 extern void display_version(void);	/* display suite version */
 extern const char procps_version[];		/* global buf for suite version */
 
+extern void init_Linux_version(void);
 extern int linux_version_code;		/* runtime version of LINUX_VERSION_CODE
 					   in /usr/include/linux/version.h */
 
